Package org.bukkit.scoreboard

# Enum Class RenderType

java.lang.Object
java.lang.Enum<RenderType>
org.bukkit.scoreboard.RenderType

All Implemented Interfaces:
  `Serializable`, `Comparable<RenderType>`, `Constable`

public enum RenderType extends Enum<RenderType>
Controls the way in which an `Objective` is rendered client side.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`HEARTS`
Display number of hearts corresponding to value.
`INTEGER`
Display integer value.

## Method Summary

Modifier and Type
Method
Description
`static RenderType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static RenderType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### INTEGER

public static final RenderType INTEGER
Display integer value.

### HEARTS

public static final RenderType HEARTS
Display number of hearts corresponding to value.

## Method Details

### values

public static RenderType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static RenderType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null